Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsDeviceInformation Class Reference

グラフィックスデバイス情報 More...

`#include <GraphicsDeviceInformation.h>`

List of all members.

## Public Member Functions
virtual int | getAdapterOrdinal ()
| アダプタ番号の取得
virtual D3DDEVTYPE | getDeviceType ()
| デバイスタイプの取得
virtual const D3DCapacity & | getDeviceCapability ()
| デバイス能力の取得
virtual int | getDeviceComboCount () const
| デバイスコンボ数の取得
virtual GraphicsDeviceComboInformation * | getDeviceCombo (int index)
| デバイスコンボの取得
virtual String | toString ()
| 文字列への変換
## Protected Member Functions
| GraphicsDeviceInformation ()
| コンストラクタ
virtual | ~GraphicsDeviceInformation ()
| デストラクタ
virtual bool | enumerate (GraphicsDeviceEnumeration *enumeration, GraphicsAdapterInformation *adapterInformation, D3DDEVTYPE deviceType)
| 列挙
## Friends
class | GraphicsAdapterInformation

## Detailed Description

グラフィックスデバイス情報

Definition at line 40 of file GraphicsDeviceInformation.h.

## Member Function Documentation

bool Lamp::GraphicsDeviceInformation::enumerate | ( | GraphicsDeviceEnumeration * | enumeration,
|  | GraphicsAdapterInformation * | adapterInformation,
|  | D3DDEVTYPE | deviceType
| ) | `[protected, virtual]`

  | 列挙 Parameters:
  enumeration | グラフィックスデバイス列挙
  adapterInformation | グラフィックスアダプタ情報
  deviceType | デバイスタイプ
Returns: 列挙が成功すればtrue Definition at line 47 of file GraphicsDeviceInformation.cpp. References Lamp::ArrayList< GraphicsDeviceComboInformation * >::add(), Direct3D, DirectXFailed, Lamp::GraphicsDeviceComboInformation::enumerate(), Lamp::GraphicsAdapterInformation::getAdapterFormat(), Lamp::GraphicsAdapterInformation::getAdapterFormatCount(), Lamp::GraphicsAdapterInformation::getAdapterOrdinal(), Lamp::GraphicsBufferFormat::getAlphaChannelBits(), Lamp::GraphicsDeviceEnumeration::getMinimumBackBufferAlphaChannelBits(), Lamp::GraphicsDeviceEnumeration::getRequiresFullscreenMode(), Lamp::GraphicsDeviceEnumeration::getRequiresWindowMode(), and u_int. Referenced by Lamp::GraphicsAdapterInformation::enumerate().

virtual int Lamp::GraphicsDeviceInformation::getAdapterOrdinal | ( |  | ) | `[inline, virtual]`

| アダプタ番号の取得 Returns: アダプタ番号 Definition at line 48 of file GraphicsDeviceInformation.h. Referenced by Lamp::GraphicsDeviceComboInformation::enumerate(), Lamp::GraphicsDevice::initialize(), and Lamp::GraphicsDevice::toggleFullscreen().

virtual const D3DCapacity& Lamp::GraphicsDeviceInformation::getDeviceCapability | ( |  | ) | `[inline, virtual]`

| デバイス能力の取得 Returns: デバイス能力 Definition at line 61 of file GraphicsDeviceInformation.h. References D3DCapacity. Referenced by Lamp::GraphicsDeviceComboInformation::enumerate().

virtual GraphicsDeviceComboInformation* Lamp::GraphicsDeviceInformation::getDeviceCombo | ( | int | index | ) | `[inline, virtual]`

  | デバイスコンボの取得 Parameters:
  index | インデックス
Returns: デバイスコンボ Definition at line 77 of file GraphicsDeviceInformation.h. References Lamp::ArrayList< GraphicsDeviceComboInformation * >::get(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and ~GraphicsDeviceInformation().

virtual int Lamp::GraphicsDeviceInformation::getDeviceComboCount | ( |  | ) | const`[inline, virtual]`

| デバイスコンボ数の取得 Returns: デバイスコンボ数 Definition at line 70 of file GraphicsDeviceInformation.h. References Lamp::ArrayList< GraphicsDeviceComboInformation * >::getCount(). Referenced by Lamp::GraphicsAdapterInformation::enumerate(), Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and ~GraphicsDeviceInformation().

virtual D3DDEVTYPE Lamp::GraphicsDeviceInformation::getDeviceType | ( |  | ) | `[inline, virtual]`

| デバイスタイプの取得 Returns: デバイスタイプ Definition at line 54 of file GraphicsDeviceInformation.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::GraphicsDeviceComboInformation::enumerate(), Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), Lamp::GraphicsDevice::initialize(), and Lamp::GraphicsDevice::toggleFullscreen().

String Lamp::GraphicsDeviceInformation::toString | ( |  | ) | `[virtual]`

| 文字列への変換 Returns: GraphicsDeviceInformationの文字列表記 Definition at line 121 of file GraphicsDeviceInformation.cpp. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

The documentation for this class was generated from the following files:

- GraphicsDeviceInformation.h
- GraphicsDeviceInformation.cpp